关于springboot整合kafka遇到的问题

喻湘东 发布于 2018/09/07 18:51
阅读 1K+
收藏 3

【华为云1024程序员节·向云而生】预约直播 抽14件华为电子产品礼包!>>>

版本信息:

kafka:2.9.2-0.8.11

springboot:2.0.4

zookeeper:3.4.6

我在linux里面测了kafka是否成功安装配置是可以用的,然后在spring boot里面的配置

然后我启动springboot的入口类

下面是启动信息

linux里面就报错

 

请问大神,怎么可以解决,我搞了一天没搞好.

加载中
0
东君
东君

看到是反序列化出错导致的,很可能是因为kafka版本冲突导致的,最好检查一下实际运行包里的kafka版本是否和你开发时的是一个

返回顶部
顶部